Package de.gebit.integrity.runner.console.intercept

## Interface ConsoleOutputInterceptor

- All Known Implementing Classes:
    `DefaultConsoleOutputInterceptor`

      public interface ConsoleOutputInterceptor

  Performs interception of both console output streams (stdout and stderr). The implementation of this interface is responsible for the actual capture, including splitting data into lines and sending those lines to a number of targets. Since this service knows the real console output streams, it can be used to print strings on the real streams, whether they are being intercepted or not.
  Author:
    Rene Schneider - initial API and implementation

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `printlnStdErr​(String aLine)` | Prints a line on the original System.err stream, including an added newline.
    `void` | `printlnStdOut​(String aLine)` | Prints a line on the original System.out stream, including an added newline.
    `void` | `printStdErr​(String aText)` | Prints text on the original System.err stream.
    `void` | `printStdOut​(String aText)` | Prints text on the original System.out stream.
    `void` | `registerTarget​(ConsoleInterceptorTarget aTarget)` | Registers a target for intercepted data.
    `void` | `unregisterTarget​(ConsoleInterceptorTarget aTarget)` | Unregisters a registered target.

- - ### Method Detail

    - #### registerTarget

          void registerTarget​(ConsoleInterceptorTarget aTarget)

      Registers a target for intercepted data.
      Parameters:
        `aTarget` - the target to register

    - #### unregisterTarget

          void unregisterTarget​(ConsoleInterceptorTarget aTarget)

      Unregisters a registered target.
      Parameters:
        `aTarget` - the target to unregister

    - #### printlnStdErr

          void printlnStdErr​(String aLine)

      Prints a line on the original System.err stream, including an added newline. Automatically flushes the stream.
      Parameters:
        `aLine` - the line
      See Also:
        `PrintWriter.println(String)`

    - #### printStdErr

          void printStdErr​(String aText)

      Prints text on the original System.err stream.
      Parameters:
        `aText` - the text to print
      See Also:
        `PrintWriter.print(String)`

    - #### printlnStdOut

          void printlnStdOut​(String aLine)

      Prints a line on the original System.out stream, including an added newline. Automatically flushes the stream.
      Parameters:
        `aLine` - the line
      See Also:
        `PrintWriter.println(String)`

    - #### printStdOut

          void printStdOut​(String aText)

      Prints text on the original System.out stream.
      Parameters:
        `aText` - the text to print
      See Also:
        `PrintWriter.print(String)`